# Vtiful\Kernel\Excel::constMemory

(PHP 7 >= 7.0.0, PECL xlswriter >= 1.2.1)

Vtiful\Kernel\Excel::constMemory — Vtiful\Kernel\Excel constMemory

### Description

public Vtiful\Kernel\Excel::constMemory ( string `$fileName` [, string `$sheetName` ] )

Write a large file with constant memory usage.

### Parameters

`fileName`

  XLSX file name

`sheetName`

  Worksheet name

### Return Values

Vtiful\Kernel\Excel instance

### Examples

Example #1 example

`<?php
$config = [
'path' => '/home/viest'
];
$fileObject = new \Vtiful\Kernel\Excel($config);
$file = $instance->constMemory('tutorial.xlsx', 'sheet');
?>`